Name:		rpmlint
Version:	1.11
Release:	%mkrel 4
Summary:	RPM correctness checker
License:	GPLv2+
Group:		Development/Other
URL:		https://github.com/rpm-software-management/rpmlint
Source0:	%{url}/archive/%{name}-%{version}.tar.gz
Source1:	%{name}.config

# Backports from upstream
# https://github.com/rpm-software-management/rpmlint/pull/199
Patch199:       rpmlint-1.10-suppress-locale-error.patch
# https://github.com/rpm-software-management/rpmlint/pull/212
Patch212:       rpmlint-1.11-rpm4.15.patch

# Mageia specific patches
Patch1001:	1001-Add-some-licenses-allowed-in-Fedora-as-they-are-allo.patch
Patch1002:	1002-Throw-an-error-with-a-deprecation-notice-for-apply_p.patch

BuildRequires:	python3-devel
BuildRequires:	python3-rpm
BuildRequires:	bash-completion

Requires:	python3-rpm
Requires:	python3dist(file-magic)
Requires:	python3-enchant
Requires:	appstream-util
Requires:	cpio
Requires:	binutils
Requires:	desktop-file-utils
Requires:	gzip
Requires:	bzip2
Requires:	xz
# Needed for man page check in FilesCheck.py
Requires:	groff-for-man
Recommends:	rpmlint-mageia-policy
Recommends:	hunspell-en
BuildArch:	noarch

%description
Rpmlint is a tool to check common errors on rpm packages.
Binary and source packages can be checked.


%prep
%autosetup -n %{name}-%{name}-%{version} -p1

# TODO, take upstream (RPM 4.15 related)
sed -i "s/'wb'/'w'/" PostCheck.py

cp -p config config.example
install -pm 644 %{SOURCE1} config


%build
%make_build COMPILE_PYC=1 PYTHON=%{__python3}


%install
%make_install ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} \
  LIBDIR=%{_datadir}/rpmlint BINDIR=%{_bindir} PYTHON=%{__python3}

mkdir -p %{buildroot}%{_datadir}/rpmlint/config.d/


%files
%license COPYING
%doc README.md config.example
%{_bindir}/*
%{_datadir}/rpmlint/
%{_mandir}/man1/rpmlint.1*
%{_mandir}/man1/rpmdiff.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config
%{_datadir}/bash-completion/completions/rpmlint
%{_datadir}/bash-completion/completions/rpmdiff


%changelog
* Mon Nov 16 2020 akien <akien> 1.11-4.mga8
+ Revision: 1646674
- Explicit requires for file's magic python module

* Wed Feb 19 2020 umeabot <umeabot> 1.11-3.mga8
+ Revision: 1542534
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 1.11-2.mga8
+ Revision: 1476502
- fix broken rpmlint

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1.11-1.mga8
+ Revision: 1475894
- 1.11

* Tue Sep 03 2019 wally <wally> 1.10-5.mga8
+ Revision: 1436807
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 1.10-4.mga7
+ Revision: 1349282
- rebuild for python3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.10-3.mga7
+ Revision: 1290775
- Mageia 7 Mass Rebuild

* Sun Nov 12 2017 ngompa <ngompa> 1.10-2.mga7
+ Revision: 1177034
- Port config to Python 3 to fix processing configuration (mga#22013)

* Tue Sep 05 2017 ngompa <ngompa> 1.10-1.mga7
+ Revision: 1151482
- Rebase to v1.10
- Drop patches merged upstream
- Rework remaining patches for v1.10

* Fri Feb 19 2016 umeabot <umeabot> 1.5-4.mga6
+ Revision: 968366
- Mageia 6 Mass Rebuild
+ wally <wally>
- update URL

* Mon Jul 06 2015 remmy <remmy> 1.5-3.mga6
+ Revision: 852144
- Add some licenses allowed in Fedora (as per Mageia wiki). Closes mga#7602

* Fri Jan 16 2015 shlomif <shlomif> 1.5-2.mga5
+ Revision: 810892
- Add fix_setup_compile_flags patch from Richard Houser.
  This prevents %%setup{more alphanumeric here} macros from generating
  %%setup-related warnings.

* Mon Sep 15 2014 tv <tv> 1.5-1.mga5
+ Revision: 676176
- s/uggests:/Recommends:/

* Sun Jun 30 2013 danf <danf> 1.5-1.mga4
+ Revision: 448623
- upgraded to 1.5: more lint checks and bug fixes
- new upstream project web site
- set the mode on the installed config file to ignore the current umask
- dropped Add-run-to-the-standard-dirs-list.patch; merged upstream
- rediffed and renamed remaining patches to comply with mga naming convention

* Fri Jun 21 2013 tv <tv> 1.4-5.mga4
+ Revision: 445458
- suggests rpmlint-mageia-policy
+ tmb <tmb>
- make it backportable to infra_1

* Sun Nov 25 2012 colin <colin> 1.4-4.mga3
+ Revision: 321698
- Add a new test for tmpfiles.d snippets in the /etc/

* Thu Nov 22 2012 colin <colin> 1.4-3.mga3
+ Revision: 320419
- Add /run to the standard dirs
- Add a new 'non-ghost-in-run' check to compliement the other 'non-ghost-*' checks
- Add new tests for systemd units and udev rules in /etc tree.
- Teach SpecCheck about apply_patches macro (mga#8170)

* Wed Jan 18 2012 kamil <kamil> 1.4-2.mga2
+ Revision: 197794
- hunspell-en is now suggested

* Sun Dec 18 2011 kharec <kharec> 1.4-1.mga2
+ Revision: 183872
- new version 1.4
- use completion in %%file
- new version 1.3

* Fri May 06 2011 misc <misc> 1.2-1.mga1
+ Revision: 95251
- new version 1.2

* Tue Mar 29 2011 kharec <kharec> 1.1-1.mga1
+ Revision: 78855
- Remove definition "BuildRoot", useless.
- new version 1.1
- fix order of tags (top of spec)
- fix Source0

* Fri Feb 18 2011 misc <misc> 1.0-1.mga1
+ Revision: 53382
- imported package rpmlint

